summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorSuren A. Chilingaryan <csa@suren.me>2018-02-25 03:34:52 +0100
committerSuren A. Chilingaryan <csa@suren.me>2018-02-25 03:34:52 +0100
commitf4cd752a95fb0cde172e7ce1a8b15568db4274b6 (patch)
tree85c76a6c0b3b73269f6ba6e74f5e16bc990ed21a
parentb81418759a81dd1e3064a6a5975271277d5c51c8 (diff)
downloadadei-f4cd752a95fb0cde172e7ce1a8b15568db4274b6.tar.gz
adei-f4cd752a95fb0cde172e7ce1a8b15568db4274b6.tar.bz2
adei-f4cd752a95fb0cde172e7ce1a8b15568db4274b6.tar.xz
adei-f4cd752a95fb0cde172e7ce1a8b15568db4274b6.zip
Intialize *-logs setups from the sample configuration
-rwxr-xr-xadei/scripts/adei-branch.sh20
1 files changed, 14 insertions, 6 deletions
diff --git a/adei/scripts/adei-branch.sh b/adei/scripts/adei-branch.sh
index 3153552..64d37a4 100755
--- a/adei/scripts/adei-branch.sh
+++ b/adei/scripts/adei-branch.sh
@@ -52,13 +52,21 @@ LOCK_FILE=.lock
cd /adei/src
for setup in $ADEI_ENABLED_SETUPS $ADEI_SETUP; do
if [[ ! -a setups/$setup ]]; then
- if [[ ! -a /adei/cfg/$setup ]]; then
- (
- cd /adei/cfg/
- branch "http://darksoft.org/bzr/adei/setups/$setup"
+ if [[ ! -a /adei/cfg/$setup ]]; then
+ (
+ cd /adei/cfg/
+ if [[ "$setup" == *-logs ]]; then
+ branch "http://darksoft.org/bzr/adei/setups/$setup" &> /dev/null
+ [ $? -eq 0 ] || cp -ar /adei/src/setups/logs $setup
+ echo "here"
+ else
+ branch "http://darksoft.org/bzr/adei/setups/$setup"
+ fi
)
- fi
- ln -s ../../cfg/$setup setups/$setup
+ fi
+ if [ -d ../cfg/$setup ]; then
+ ln -s ../../cfg/$setup setups/$setup
+ fi
fi
done
)